Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Resource Manager
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • ListOperations
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
        • ListAccessPolicyBindings
        • BindAccessPolicy
        • UnbindAccessPolicy
        • UpdateAccessPolicyBindingParameters
  • Audit Trails events
  • Release notes
  • FAQ

In this article:

  • gRPC request
  • ListFoldersRequest
  • ListFoldersResponse
  • Folder
  1. API reference
  2. gRPC
  3. Folder
  4. List

Resource Manager API, gRPC: FolderService.List

Written by
Yandex Cloud
Updated at May 27, 2026
View in Markdown
  • gRPC request
  • ListFoldersRequest
  • ListFoldersResponse
  • Folder

Retrieves the list of Folder resources in the specified cloud.

gRPC requestgRPC request

rpc List (ListFoldersRequest) returns (ListFoldersResponse)

ListFoldersRequestListFoldersRequest

{
  "cloud_id": "string",
  "page_size": "int64",
  "page_token": "string",
  "filter": "string"
}

Field

Description

cloud_id

string

Required field. ID of the cloud to list folders in.
To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListFoldersResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.
Default value: 100.

Acceptable values are 0 to 1000, inclusive.

page_token

string

Page token. Set page_token
to the ListFoldersResponse.next_page_token
returned by a previous list request to get the next page of results.

The maximum string length in characters is 2000.

filter

string

A filter expression that filters resources listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on the Folder.name field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].

The maximum string length in characters is 1000.

ListFoldersResponseListFoldersResponse

{
  "folders": [
    {
      "id": "string",
      "cloud_id": "string",
      "created_at": "google.protobuf.Timestamp",
      "name": "string",
      "description": "string",
      "labels": "map<string, string>",
      "status": "Status"
    }
  ],
  "next_page_token": "string"
}

Field

Description

folders[]

Folder

List of Folder resources.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListFoldersRequest.page_size, use
the next_page_token as the value
for the ListFoldersRequest.page_token query parameter
in the next list request. Each subsequent list request will have its own
next_page_token to continue paging through the results.

FolderFolder

A Folder resource. For more information, see Folder.

Field

Description

id

string

ID of the folder.

cloud_id

string

ID of the cloud that the folder belongs to.

created_at

google.protobuf.Timestamp

Creation timestamp.

name

string

Name of the folder.
The name is unique within the cloud. 3-63 characters long.

description

string

Description of the folder. 0-256 characters long.

labels

object (map<string, string>)

Resource labels as key:value pairs. Maximum of 64 per resource.

status

enum Status

Status of the folder.

  • ACTIVE: The folder is active.
  • DELETING: The folder is being deleted.
  • PENDING_DELETION: Stopping folder resources and waiting for the deletion start timestamp.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.